org.apache.hadoop.security

## Enum UserGroupInformation.AuthenticationMethod

- java.lang.Object
- - java.lang.Enum<UserGroupInformation.AuthenticationMethod>
  - - org.apache.hadoop.security.UserGroupInformation.AuthenticationMethod

- All Implemented Interfaces:
    Serializable, Comparable<UserGroupInformation.AuthenticationMethod>
  Enclosing class:
    UserGroupInformation

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public static enum UserGroupInformation.AuthenticationMethod
      extends Enum<UserGroupInformation.AuthenticationMethod>

  existing types of authentications' methods

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CERTIFICATE`
    `KERBEROS`
    `KERBEROS_SSL`
    `PROXY`
    `SIMPLE`
    `TOKEN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SaslRpcServer.AuthMethod` | `getAuthMethod()`
    `static UserGroupInformation.AuthenticationMethod` | `valueOf(SaslRpcServer.AuthMethod authMethod)`
    `static UserGroupInformation.AuthenticationMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UserGroupInformation.AuthenticationMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIMPLE

          public static final UserGroupInformation.AuthenticationMethod SIMPLE

    - #### KERBEROS

          public static final UserGroupInformation.AuthenticationMethod KERBEROS

    - #### TOKEN

          public static final UserGroupInformation.AuthenticationMethod TOKEN

    - #### CERTIFICATE

          public static final UserGroupInformation.AuthenticationMethod CERTIFICATE

    - #### KERBEROS_SSL

          public static final UserGroupInformation.AuthenticationMethod KERBEROS_SSL

    - #### PROXY

          public static final UserGroupInformation.AuthenticationMethod PROXY

  - ### Method Detail

    - #### values

          public static UserGroupInformation.AuthenticationMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserGroupInformation.AuthenticationMethod c : UserGroupInformation.AuthenticationMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserGroupInformation.AuthenticationMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAuthMethod

          public SaslRpcServer.AuthMethod getAuthMethod()

    - #### valueOf

          public static UserGroupInformation.AuthenticationMethod valueOf(SaslRpcServer.AuthMethod authMethod)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.